//
// Written by Synplify Pro 
// Product Version "P-2019.03G-1-Beta1"
// Program "Synplify Pro", Mapper "mapgw2019q1p1, Build 007R"
// Thu Mar 26 13:44:13 2020
//
// Source file index table:
// Object locations will have the form <file>:<line>
// file 0 "\e:\gowin\gowin_v1.9.3beta_37257_win\synplifypro\lib\generic\gw1n.v "
// file 1 "\e:\gowin\gowin_v1.9.3beta_37257_win\synplifypro\lib\vlog\hypermods.v "
// file 2 "\e:\gowin\gowin_v1.9.3beta_37257_win\synplifypro\lib\vlog\umr_capim.v "
// file 3 "\e:\gowin\gowin_v1.9.3beta_37257_win\synplifypro\lib\vlog\scemi_objects.v "
// file 4 "\e:\gowin\gowin_v1.9.3beta_37257_win\synplifypro\lib\vlog\scemi_pipes.svh "
// file 5 "\e:\gowin\gowin_v1.9.3beta_37257_win\ide\ipcore\mipi_rx\data\dphy_rx.v "
// file 6 "\e:\gowin_work\ip_design\mipi\mipi_release_case\mipi_dphy_reference_design\mipi_refdesign\src\dphy_rx_top\temp\mipi_rx\dphy_define.v "
// file 7 "\e:\gowin\gowin_v1.9.3beta_37257_win\ide\ipcore\mipi_rx\data\dphy_rx_top.v "
// file 8 "\e:\gowin\gowin_v1.9.3beta_37257_win\synplifypro\lib\nlconst.dat "

`timescale 100 ps/100 ps
`pragma protect begin_protected
`pragma protect version=1
`pragma protect author="default"
`pragma protect author_info="default"
`pragma protect encrypt_agent="Synplify encryptP1735.pl"
`pragma protect encrypt_agent_info="Synplify encryptP1735.pl Version 1.1"

`pragma protect encoding=(enctype="base64", line_length=76, bytes=256)
`pragma protect key_keyowner="Synplicity"
`pragma protect key_keyname="SYNP05_001"
`pragma protect key_method="rsa"
`pragma protect key_block
mq2/l9ZICvkYM5hXR9+D0qwuJZwwCxHbaBBtHDlDvM8aggNN4/pWTjBWI58KnxtXTVjsSN6Qc/Tj
dx1GoLv/ns5rqU3aYBdc635L/RDGHxGLZ6DVMIXorAreScOIbL0XjRwHq0jBXHI2etmAzy61tTb5
tFiq5bZd6+mamWASeobTzCIoiGnJ1IjR3HW6Kkiz7d2qQC/okBvmXle3YSxO+e+7Xtphccsn/t4g
sSYu0occSeMzGcxXqDCQ9S3RlWqNkNRaP4s0lW6I2ltgdl6Q/bi/BuXVndhP/9aYVF/9j3teo/hl
LCwc0rzsyVUGExp1PUv/o59xiHrqFXZO9t3UoQ==

`pragma protect encoding=(enctype="base64", line_length=76, bytes=256)
`pragma protect key_keyowner="GoWin"
`pragma protect key_keyname="GoWin2016"
`pragma protect key_method="rsa"
`pragma protect key_block
agwbNJAYxdlQUSPiB6PZ57a+U5xnKR7lldPUY0tPEC35Epq4Msr+teT1HZvw0LfiBipq0wtDkMvW
9FeGvYME1czDmqgbpX2KdHjt5arcQhunNq5VWB8PuBQGcH5At9z3hnZqNQlpzDllsh+nfZ4WfpSL
73A8fZ7HS4uc82PV9HHFbDWhu4zmvXEGt/6Uyo6yEq4nMWa9zZxuxiJ8dbkbZHLNsATCtkWijyW+
IjtHo/WsL4BOkO7qCSbbocv/TwnThGxanV5SLP0lTWUR8+K0sIk0UAXyNLxIQim30SkiXSuYJn7f
T8SMJ52EoS8U55A4On0Vnl/9pf7GJ0l++/xsKQ==

`pragma protect data_keyowner="default-ip-vendor"
`pragma protect data_keyname="default-ip-key"
`pragma protect data_method="aes128-cbc"
`pragma protect encoding=(enctype="base64", line_length=76, bytes=345488)
`pragma protect data_block
[encoded data, 460636 characters]
rAk4zIUV4N1eXEg=
`pragma protect end_protected
module DPHY_RX_TOP (
  reset_n,
  HS_CLK_P,
  HS_CLK_N,
  clk_byte_out,
  HS_DATA3_P,
  HS_DATA3_N,
  data_out3,
  HS_DATA2_P,
  HS_DATA2_N,
  data_out2,
  HS_DATA1_P,
  HS_DATA1_N,
  data_out1,
  HS_DATA0_P,
  HS_DATA0_N,
  data_out0,
  hs_en,
  term_en,
  ready
)
;
input reset_n ;
input HS_CLK_P ;
input HS_CLK_N ;
output clk_byte_out ;
input HS_DATA3_P ;
input HS_DATA3_N ;
output [15:0] data_out3 ;
input HS_DATA2_P ;
input HS_DATA2_N ;
output [15:0] data_out2 ;
input HS_DATA1_P ;
input HS_DATA1_N ;
output [15:0] data_out1 ;
input HS_DATA0_P ;
input HS_DATA0_N ;
output [15:0] data_out0 ;
input hs_en ;
input term_en ;
output ready ;
wire reset_n ;
wire HS_CLK_P ;
wire HS_CLK_N ;
wire clk_byte_out ;
wire HS_DATA3_P ;
wire HS_DATA3_N ;
wire HS_DATA2_P ;
wire HS_DATA2_N ;
wire HS_DATA1_P ;
wire HS_DATA1_N ;
wire HS_DATA0_P ;
wire HS_DATA0_N ;
wire hs_en ;
wire term_en ;
wire ready ;
wire GND ;
wire VCC ;
  GSR GSR_INST (
	.GSRI(VCC)
);
// @7:270
  \~DPHY_RX.DPHY_RX_TOP_  DPHY_RX_INST (
	.reset_n(reset_n),
	.HS_CLK_P(HS_CLK_P),
	.HS_CLK_N(HS_CLK_N),
	.clk_byte_out(clk_byte_out),
	.HS_DATA3_P(HS_DATA3_P),
	.HS_DATA3_N(HS_DATA3_N),
	.data_out3(data_out3[15:0]),
	.HS_DATA2_P(HS_DATA2_P),
	.HS_DATA2_N(HS_DATA2_N),
	.data_out2(data_out2[15:0]),
	.HS_DATA1_P(HS_DATA1_P),
	.HS_DATA1_N(HS_DATA1_N),
	.data_out1(data_out1[15:0]),
	.HS_DATA0_P(HS_DATA0_P),
	.HS_DATA0_N(HS_DATA0_N),
	.data_out0(data_out0[15:0]),
	.hs_en(hs_en),
	.term_en(GND),
	.ready(ready)
);
  GND GND_cZ (
	.G(GND)
);
  VCC VCC_cZ (
	.V(VCC)
);
endmodule /* DPHY_RX_TOP */

